ALTER TABLE WORK_ORDER_TEMPLATE
ADD TYPE VARCHAR2(2 CHAR);

ALTER TABLE QUESTION
ADD PARAMETER_TABLE_NAME VARCHAR2(100 CHAR);

ALTER TABLE QUESTION
ADD CALC_FIELD_TYPE VARCHAR2(2 CHAR);

DROP VIEW V_QUESTIONNAIRE_ANSWER;

CREATE OR REPLACE VIEW V_QUESTIONNAIRE_ANSWER AS (
	SELECT QA.ID, QA.ID_QUESTIONNAIRE_ANSWER_MASTER, QA.ID_QUESTION, QA.STRING_ANSWER, QA.DATE_ANSWER, QA.NUMBER_ANSWER, QA.BLOB_ANSWER, QA.FILENAME, QA.FILE_REFERENCE,QA.SEQUENCE_NUMBER,
  Q.NAME AS QUESTION_NAME, Q.QUESTION AS QUESTION_QUESTION, Q.SOURCE_TABLE_NAME AS QUESTION_SOURCE_TABLE_NAME, Q.PARAMETER_TABLE_NAME AS QUESTION_PARAM_TABLE_NAME, Q.TYPE AS QUESTION_TYPE, 
  Q.MAP_TABLE_NAME, Q.MAP_COLUMN_NAME, Q.TAG_ID AS QUESTION_TAG_ID, Q.FILE_TYPE AS QUESTION_FILE_TYPE, Q.FILE_ID AS QUESTION_FILE_ID, Q.FILE_ON_ALL_LOCATIONS AS QUESTION_FILE_ON_ALL_LOCATIONS,
  QAM.ID_MARINA_EVENT AS ID_MARINA_EVENT, QAM.ID_QUESTIONNAIRE, QAM.STATUS AS STATUS, QAM.ID_LASTNIKA, QAM.ID_PLOVILA, 
  SQ.SORT, SQ.INPUT_REQUIRED, SE.REPEATABLE_QUESTIONS AS SECTION_REPEATABLE_QUESTIONS
	FROM QUESTIONNAIRE_ANSWER QA
  LEFT OUTER JOIN QUESTION Q ON Q.ID = QA.ID_QUESTION
  LEFT OUTER JOIN QUESTIONNAIRE_ANSWER_MASTER QAM ON QAM.ID = QA.ID_QUESTIONNAIRE_ANSWER_MASTER
  LEFT OUTER JOIN SECTION_QUESTION SQ ON SQ.ID_QUESTIONNAIRE = QAM.ID_QUESTIONNAIRE AND SQ.ID_QUESTION = QA.ID_QUESTION
  LEFT OUTER JOIN SECTION SE ON SE.ID = SQ.ID_SECTION
);

DROP VIEW V_SECTION_QUESTION;

CREATE OR REPLACE VIEW V_SECTION_QUESTION AS (
	SELECT SQ.ID, SQ.ID_SECTION, SQ.ID_QUESTION, SQ.ID_QUESTIONNAIRE, SQ.SORT, SQ.INPUT_REQUIRED, SQ.VISIBLE, SQ.ENABLED, SQ.REDIRECT_URL, SQ.DISABLE_AFTER_INSERT, SQ.PORTAL, SQ.DISABLE_EMPTY_SELECTION, 
    SQ.SPLIT_CAPTION, SQ.CHANGE_TO_UPPERCASE, SQ.WIDTH, SQ.HEIGHT, SQ.MAX_INPUT_LENGTH,
  QS.SORT AS SECTION_SORT, Q.NAME AS QUESTIONNAIRE_NAME, Q.TYPE AS QUESTIONNAIRE_TYPE, Q.USER_LOG AS QUESTIONNAIRE_USER_LOG, SC.NAME AS SECTION_NAME, 
  QU.NAME AS QUESTION_NAME, QU.QUESTION AS QUESTION_QUESTION, QU.QUESTION_ENG AS QUESTION_QUESTION_ENG, QU.QUESTION_SLO AS QUESTION_QUESTION_SLO, QU.QUESTION_ITA AS QUESTION_QUESTION_ITA,
  QU.QUESTION_FRA AS QUESTION_QUESTION_FRA, QU.QUESTION_CRO AS QUESTION_QUESTION_CRO, QU.QUESTION_DEU AS QUESTION_QUESTION_DEU,
  QU.TYPE AS QUESTION_TYPE, QU.SOURCE_TABLE_NAME AS QUESTION_SOURCE_TABLE_NAME, QU.PARAMETER_TABLE_NAME AS QUESTION_PARAM_TABLE_NAME, QU.FORMAT_STRING AS QUESTION_FORMAT_STRING, QU.FORMAT_LOCALE AS QUESTION_FORMAT_LOCALE,
  QU.TIME_UNIT AS QUESTION_TIME_UNIT, QU.TIME_FROM AS QUESTION_TIME_FROM, QU.TIME_TO AS QUESTION_TIME_TO, QU.CALC_FIELD_TYPE AS QUESTION_CALC_FIELD_TYPE,
  QU.SOURCE_TABLE_ACTIVE_COLUMN AS QUESTION_SRC_TBL_ACTIVE_COLUMN, QU.SOURCE_TABLE_ORDER_COLUMN AS QUESTION_SRC_TBL_ORDER_COLUMN, QU.SOURCE_TABLE_NAME_COLUMN AS QUESTION_SRC_TBL_NAME_COLUMN,
  QU.CONVERSION_TYPE AS QUESTION_CONVERSION_TYPE, QU.STRING_VALUE AS QUESTION_STRING_VALUE, QU.NUMBER_VALUE AS QUESTION_NUMBER_VALUE, QU.DATE_VALUE AS QUESTION_DATE_VALUE, QU.TAG_ID AS QUESTION_TAG_ID, 
  QU.BUTTON_ACTION_TYPE AS QUESTION_BUTTON_ACTION_TYPE, QU.ID_QUERY_QUESTION AS QUESTION_ID_QUERY_QUESTION, QU.ID_QUERY_VALUE AS QUESTION_ID_QUERY_VALUE, QU.ORIENTATION AS QUESTION_ORIENTATION,
  QU.MAP_TABLE_NAME AS QUESTION_MAP_TABLE_NAME, QU.MAP_COLUMN_NAME AS QUESTION_MAP_COLUMN_NAME, QU.OVERWRITE_EXISTING_VALUE AS QST_OVERWRITE_EXIST_VALUE, QU.OVERWRITE_EXISTING_VALUE_TYPE AS QST_OVERWRITE_EXIST_VALUE_TYPE 
	FROM SECTION_QUESTION SQ
  LEFT OUTER JOIN QUESTIONNAIRE Q ON Q.ID = SQ.ID_QUESTIONNAIRE
  LEFT OUTER JOIN SECTION SC ON SC.ID = SQ.ID_SECTION
  LEFT OUTER JOIN QUESTION QU ON QU.ID = SQ.ID_QUESTION
  LEFT OUTER JOIN QUESTIONNAIRE_SECTION QS ON QS.ID_QUESTIONNAIRE = Q.ID AND QS.ID_SECTION = SC.ID
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (2294, SYSDATE, '5.5', 2214, 'Question template')
;